GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/sparc64-nat.c File Reference
`#include "defs.h"`
`#include "gdbarch.h"`
`#include "sparc64-tdep.h"`
`#include "sparc-nat.h"`

Go to the source code of this file.

## Functions
static int | sparc64_gregset_supplies_p (struct gdbarch *gdbarch, int regnum)
static int | sparc64_fpregset_supplies_p (struct gdbarch *gdbarch, int regnum)
void | _initialize_sparc64_nat (void)

## Function Documentation

## ◆ _initialize_sparc64_nat()

void _initialize_sparc64_nat | ( | void |  | ) |

Definition at line 73 of file sparc64-nat.c.

References sparc64_collect_fpregset(), sparc64_collect_gregset(), sparc64_fpregset_supplies_p(), sparc64_gregset_supplies_p(), sparc64_supply_fpregset(), sparc64_supply_gregset(), sparc_collect_fpregset, sparc_collect_gregset, sparc_fpregset_supplies_p, sparc_gregset_supplies_p, sparc_supply_fpregset, and sparc_supply_gregset.

## ◆ sparc64_fpregset_supplies_p()

static int sparc64_fpregset_supplies_p | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 55 of file sparc64-nat.c.

References gdbarch_ptr_bit(), regnum, sparc32_fpregset_supplies_p(), SPARC64_F32_REGNUM, SPARC64_F62_REGNUM, SPARC64_FSR_REGNUM, SPARC_F0_REGNUM, and SPARC_F31_REGNUM.

Referenced by _initialize_sparc64_nat().

## ◆ sparc64_gregset_supplies_p()

static int sparc64_gregset_supplies_p | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 29 of file sparc64-nat.c.

References gdbarch_ptr_bit(), regnum, sparc32_gregset_supplies_p(), SPARC64_FPRS_REGNUM, SPARC64_NPC_REGNUM, SPARC64_PC_REGNUM, SPARC64_STATE_REGNUM, SPARC64_Y_REGNUM, SPARC_G1_REGNUM, SPARC_G7_REGNUM, SPARC_I0_REGNUM, SPARC_I7_REGNUM, SPARC_L0_REGNUM, SPARC_L7_REGNUM, SPARC_O0_REGNUM, and SPARC_O7_REGNUM.

Referenced by _initialize_sparc64_nat().